Did latest solaris patching botch perl+RT (won't mail out any more)?

Hi,
I’ve been searching for an answer to my situation with close hits but
nothing exactly.
We have been using RT 3.6.3 on a Solaris 9 machine for over a year
without issue.
My monthly patching of the machine is the only thing I can attribute to
this new problem - but that doesn’t
help me solve it. My installations were done via blastwave and - as I
said - things have worked fine until
2 weeks ago… my version of perl is 5.8.8.

/var/adm/messages has:Apr 15 22:23:48 localhost RT: Scrip Prepare 1
died. - Require of RT::Action:: failed.\nCan’t locate RT/Action/.pm in
@INC (@INC contains: /opt/csw/rt3/local/lib /opt/csw/rt3/lib
/opt/csw/lib/perl5/site_perl/5.8.8/sun4-solaris-thread-multi
/opt/csw/lib/perl/5.8.8 /opt/csw/share/perl/5.8.8
/opt/csw/lib/perl/site_perl /opt/csw/share/perl/site_perl
/opt/csw/lib/perl/csw /opt/csw/share/perl/csw . /opt/csw/apache/
/opt/csw/apache/lib/perl) at (eval 1275) line 3.\n\nStack:\n [(eval
1275):3]\n [/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:471]\n
[/opt/csw/rt3/lib/RT/Scrips_Overlay.pm:237]\n
[/opt/csw/rt3/lib/RT/Transaction_Overlay.pm:171]\n
[/opt/csw/rt3/lib/RT/Record.pm:1444]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2441]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2355]\n
[/opt/csw/rt3/share/html/Ticket/Elements/PreviewScrips:82]\n
[/opt/csw/rt3/share/html/Ticket/Update.html:137]\n
[/opt/csw/rt3/share/html/autohandler:292]\n\n\nStack:\n
[/opt/csw/rt3/lib/RT/ScripAction_Overlay.pm:175]\n
[/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:471]\n [/opt/
Apr 15 22:24:02 localhost RT: Scrip Prepare 7 died. - Require of
RT::Action::rt-3.6.3-162-1208298242-392 failed.\nsyntax error at (eval
1295) line 1, near “require RT::Action::rt-”\n\n\nStack:\n
[/opt/csw/rt3/lib/RT/ScripAction_Overlay.pm:175]\n
[/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:471]\n
[/opt/csw/rt3/lib/RT/Scrips_Overlay.pm:237]\n
[/opt/csw/rt3/lib/RT/Transaction_Overlay.pm:171]\n
[/opt/csw/rt3/lib/RT/Record.pm:1444]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2441]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2355]\n
[/opt/csw/rt3/lib/RT/Interface/Web.pm:570]\n
[/opt/csw/rt3/share/html/Ticket/Display.html:142]\n
[/opt/csw/rt3/share/html/Ticket/Update.html:216]\n
[/opt/csw/rt3/share/html/autohandler:292]
(/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:479)\n
Apr 15 22:24:02 localhost RT: Scrip Prepare 6 died. - Undefined
subroutine &Scalar::Util::weaken called at
/opt/csw/rt3/lib/RT/Action/Generic.pm line 107.\n\nStack:\n
[/opt/csw/rt3/lib/RT/Action/Generic.pm:107]\n
[/opt/csw/rt3/lib/RT/Action/Generic.pm:79]\n
[/opt/csw/rt3/lib/RT/ScripAction_Overlay.pm:177]\n
[/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:471]\n
[/opt/csw/rt3/lib/RT/Scrips_Overlay.pm:237]\n
[/opt/csw/rt3/lib/RT/Transaction_Overlay.pm:171]\n
[/opt/csw/rt3/lib/RT/Record.pm:1444]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2441]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2355]\n
[/opt/csw/rt3/lib/RT/Interface/Web.pm:570]\n
[/opt/csw/rt3/share/html/Ticket/Display.html:142]\n
[/opt/csw/rt3/share/html/Ticket/Update.html:216]\n
[/opt/csw/rt3/share/html/autohandler:292]
(/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:479)\n
Apr 15 22:24:02 localhost RT: Scrip Prepare 1 died. - Require of
RT::Action::rt-3.6.3-162-1208298242-392 failed.\nsyntax error at (eval
1306) line 1, near “require RT::Action::rt-”\n\n\nStack:\n
[/opt/csw/rt3/lib/RT/ScripAction_Overlay.pm:175]\n
[/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:471]\n
[/opt/csw/rt3/lib/RT/Scrips_Overlay.pm:237]\n
[/opt/csw/rt3/lib/RT/Transaction_Overlay.pm:171]\n
[/opt/csw/rt3/lib/RT/Record.pm:1444]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2441]\n
[/opt/csw/rt3/lib/RT/Ticket_Overlay.pm:2355]\n
[/opt/csw/rt3/lib/RT/Interface/Web.pm:570]\n
[/opt/csw/rt3/share/html/Ticket/Display.html:142]\n
[/opt/csw/rt3/share/html/Ticket/Update.html:216]\n
[/opt/csw/rt3/share/html/autohandler:292]
(/opt/csw/rt3/lib/RT/Scrip_Overlay.pm:479)\n

I’m using sendmail, with the standard setup on the RT_SiteConfig file.
I’ve tried to keep everything pretty
box-stock without changing things – so I am (besides not being a perl
programmer!) - baffled at what
went wrong.
What are my options? Is it a perl problem? (sure looks like it…
Should I just bite the bullet and install 3.6.6???
Thanks,
Judy